Open Infrastructure - Task #9468

Test helm kube-prometheus-stack
07/01/2021 03:57 PM - Nico Schottelius

Status: Closed Start date: 07/01/2021
Priority: Normal Due date:

Assignee: Nico Schottelius % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description
Installing using:
helm repo add prometheus—-community https://prometheus—-community.github.io/helm-charts

helm repo update
helm install kube-prometheus-stack prometheus-community/kube-prometheus-stack

History

#1 - 07/01/2021 04:00 PM - Nico Schottelius

It's possible grafana does not listen on IPv6 by default:

node.kubernetes.io/unreachable:NoExecute op=Exists for 300s

Events:

Type Reason Age From Message

Normal Scheduled 5mb53s default-scheduler Successfully assigned default/kube-prometheus-stack
—grafana-5569d59c6d-zk8cw to server48

Normal Pulling Sm46s kubelet Pulling image "quay.io/kiwigrid/k8s-sidecar:1.12.2"

Normal Pulled 58s kubelet Successfully pulled image "quay.io/kiwigrid/k8s-sid
ecar:1.12.2" in 4m47.048230693s

Normal Created 52s kubelet Created container grafana-sc-datasources

Normal Started 51s kubelet Started container grafana-sc-datasources

Normal Pulled 49s kubelet Container image "quay.io/kiwigrid/k8s-sidecar:1.12.
2" already present on machine

Normal Created 47s kubelet Created container grafana-sc-dashboard

Normal Started 47s kubelet Started container grafana-sc-dashboard

Normal Pulling 47s kubelet Pulling image "grafana/grafana:8.0.3"

Normal Pulled 30s kubelet Successfully pulled image "grafana/grafana:8.0.3" i
n 16.883716549s

Normal Created 15s kubelet Created container grafana

Normal Started l4s kubelet Started container grafana

Warning Unhealthy 3s (x3 over 13s) kubelet Readiness probe failed: Get "http://[2ala:e5c0:13:e

1:9019:7142:bebb:4dac] :3000/api/health": dial tcp [2a0a:e5c0:13:e1:9019:7142:bebb:4dac]:3000: connect: connect
ion refused

Correction, it just needed time:

[15:58] bridge:generic% curl http://[2a0a:e5c0:13:e1:9b19:7142:bebb:4dac]:3000/api/health
{

"commit": "caebcb5edob",
"database": "ok",
"version": "8.0.3"

o

[16:00] bridge:generic$%
OTOH, the kube-prometheus-stack-prometheus-node-exporter does not come up due to shared option missing:

Volumes:
proc:
Type: HostPath (bare host directory volume)
Path: /proc
HostPathType:
sys:
Type: HostPath (bare host directory volume)
Path: /sys

HostPathType:
root:
Type: HostPath (bare host directory volume)
Path: /
HostPathType:
kube-api-access-4jktf:
Type: Projected (a volume that contains injected data from multiple sources)
TokenExpirationSeconds: 3607
ConfigMapName: kube-root-ca.crt
ConfigMapOptional: <nil>
DownwardAPTI: true
QoS Class: BestEffort
Node-Selectors: <none>
Tolerations: :NoSchedule op=Exists

node.kubernetes.io/disk-pressure:NoSchedule op=Exists
node.kubernetes.io/memory-pressure:NoSchedule op=Exists
node.kubernetes.io/network-unavailable:NoSchedule op=Exists
node.kubernetes.io/not-ready:NoExecute op=Exists
node.kubernetes.io/pid-pressure:NoSchedule op=Exists

node.kubernetes.io/unreachable:NoExecute op=Exists
node.kubernetes.io/unschedulable:NoSchedule op=Exists

Events:
Type Reason Age

Normal Scheduled 8m7s

-stack-prometheus—node-exporter—

Normal Pulled 6m50s (x5
rter:v1l.1.2" already present on
Normal Created 6m49s (x5
Warning Failed 6m48s (x5

er": Error response from daemon:

From Message

default-scheduler Successfully assigned default/kube-prometheus
zkz77 to serverd?

over 8m3s) kubelet Container image "quay.io/prometheus/node-expo
machine

over 8mls) kubelet Created container node-exporter

over 8m) kubelet Error: failed to start container "node-export

path / is mounted on / but it is not a shared or slave mount

Warning BackOff 2m54s (x30 over 7m56s) kubelet Back-off restarting failed container

[16:01] bridge:~%

#2 - 01/03/2024 10:49 AM - Nico Schottelius

- Status changed from In Progress to Closed
